Notification
The notification resource.
Basehttps://rest.carbon.ms/notification
GET
/notificationList notifications
Retrieve a paginated list of notifications. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/notification
curl --request GET \
--url 'https://rest.carbon.ms/notification?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"topic": "string",
"event": "string",
"title": "string",
"payload": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/notificationRetrieve a notification
Fetch a single notification by filtering on `id`.
Query parameters
idstringMatch on the notification's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/notification
curl --request GET \
--url 'https://rest.carbon.ms/notification?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"topic": "string",
"event": "string",
"title": "string",
"payload": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/notificationCreate a notification
Create a new notification.
Body parameters
userIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
topicstringrequiredeventstringrequiredtitlestringrequireddescriptionstringfromstringdocumentTypestringdocumentIdstringpayloadobjectrequiredreadAttimestampseenAttimestampdigestedIntostringReferences notification.id
POSThttps://rest.carbon.ms/notification
curl --request POST \
--url https://rest.carbon.ms/notification \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"userId":"xyz789","companyId":"xyz789","topic":"string","event":"string","title":"string","description":"string","payload":"string"}'Response
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"topic": "string",
"event": "string",
"title": "string",
"payload": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/notificationUpdate a notification
Update an existing notification, matched on `id`.
Body parameters
userIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
topicstringrequiredeventstringrequiredtitlestringrequireddescriptionstringfromstringdocumentTypestringdocumentIdstringpayloadobjectrequiredreadAttimestampseenAttimestampdigestedIntostringReferences notification.id
PATCHhttps://rest.carbon.ms/notification
curl --request PATCH \
--url 'https://rest.carbon.ms/notification?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"userId":"xyz789"}'Response
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"topic": "string",
"event": "string",
"title": "string",
"payload": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/notificationDelete a notification
Delete a notification, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the notification to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/notification
curl --request DELETE \
--url 'https://rest.carbon.ms/notification?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content